Subject: Re: bug#14242: vc-next-action with registered file [VC-mode with subversion 1.7.8]

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 26 Dec 2015 00:27:16 +0100

Glenn Morris <[email-masked]> writes:

> (Please keep the debbugs address cc'd)
>
> Robert Goldman wrote:
>
>> Thanks. Question: isn't the stuff from my trace of vc-svn wrong? I.e.,
>> do we agree that vc-svn is incorrectly seeing a file that's
>> unregistered? If that's the case, I can try to zero in on why I'm
>> getting these bad results, and provide you some more useful feedback.
>
> It certainly sounds like Emacs is getting the svn status of the file
> wrong. This may or may not be due to a problem parsing the output of the
> "svn status" external command. Eg it could be due to us not calling "svn
> status"; http://debbugs.gnu.org/7850 comes to mind.
>
> The most helpful thing is of course a recipe to reliably reproduce the problem.
> Failing that, you might try edebugging vc-next-action to see why it gets
> "state" wrong.

More information was requested, but no response was given within a few
months, so I'm closing this bug report.  If the problem still exists,
please reopen this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no